Subject: Re: [RFC PATCH 1/2] netpoll: Remove dead netpoll_rx code

From: [email-masked] (Eric W. Biederman)
Date: Tue, 11 Mar 2014 13:48:01 -0700

Stephen Hemminger <[email-masked]> writes:

> On Tue, 11 Mar 2014 05:29:21 -0700
> Eric Dumazet <[email-masked]> wrote:
>
>> On Tue, 2014-03-11 at 01:44 -0700, Eric W. Biederman wrote:
>> > The netpoll_rx code only becomes active if the netpoll rx_skb_hook is
>> > implemented.  There is not a single implementation of the netpoll
>> > rx_skb_hook in the kernel.
>> > 
>> > There are problems with the netpoll packet receive code. Most
>> > speifically every packet that makes it to netpoll_neigh_reply is
>> > leaked.
>> > 
>> > Given that the netpoll packet receive code is buggy and has not been used
>> > for a decade let's just remove it.
>> > 
>> > Signed-off-by: "Eric W. Biederman" <[email-masked]>
>> > ---
>> >  drivers/net/Kconfig       |    5 -
>> >  include/linux/netdevice.h |   17 --
>> >  include/linux/netpoll.h   |   59 ------
>> >  net/core/dev.c            |   11 +-
>> >  net/core/netpoll.c        |  471 ---------------------------------------------
>> >  5 files changed, 1 insertions(+), 562 deletions(-)
>> 
>> I cannot agree more, thanks Eric.
>> 
>> Acked-by: Eric Dumazet <[email-masked]>
>
> I agree but removing it breaks people trying to kgdb over network (kgdboe).
> That code never made it upstream, was unreliable and fragile and should be
> sent to the retirement home with IMQ.

To play devil's advocate to my own patch.  Does anyone know where kgdb
over network (kgdboe) code lives today?

What little I could find in a quick google search strongly suggests that
kgdboe was abandoned in 2010 or so.

I am trying to figure out if there are any active out of tree projects
that need by directional netpoll.

Eric